int hdr_islink(char *xin, int *group, int *n);
char *hdr_link(char *feed, char *group, int n);
char *hcache_fname(int id);
void hcache_rebuild(void);
int hcache_read(void);
int hdr_matchgroup(char *gname);
void hcache_init(void);
int hcache_findadd(int gid, int num);
int hcache_update(int i);
int hcache_add(int gid, int num);
int hcache_find(int gid, int num);
int hque_item(int id);	/* Que fetch of this item */
int hque_list(int gid);	/* Que a list of this group*/
void hque_pop(void);
void hque_bkgnd(void);
int hchan_data(int chan, char *xin, int len); /* Process incoming data from channels */
String *hcache_get(int id, int xfrom, int chunk, int *upto);
void hcache_trim(int x);
void suck_info(int i, char *host, char *user, char *pass);
void hdr_fixrange(int gid, int first, int last);
void ncmd_hdr_send(int id);		  
int hcache_num(int id);
char *hcache_error(int id);
int hcache_retry(int id);
int hdr_translate(int grp,int listid[],int nlist);
int hdr_setupstream(int up);
int hdr_addmap(int grp, int n);
int hdr_setgrp(int up);

